col {base} | R Documentation

## Column Indexes

### Description

Returns a matrix of integers indicating their column number in a matrix-like object, or a factor of column labels.

### Usage

    col(x, as.factor = FALSE)

### Arguments

`x` | a matrix-like object, that is one with a two-dimensional `dim`.
`as.factor` | a logical value indicating whether the value should be returned as a factor of column labels (created if necessary) rather than as numbers.

### Value

An integer (or factor) matrix with the same dimensions as `x` and whose `ij`-th element is equal to `j` (or the `j`-th column label).

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`row` to get rows.

### Examples

    # extract an off-diagonal of a matrix
    ma <- matrix(1:12, 3, 4)
    ma[row(ma) == col(ma) + 1]

    # create an identity 5-by-5 matrix
    x <- matrix(0, nrow = 5, ncol = 5)
    x[row(x) == col(x)] <- 1

[Package base version 2.15.1 Index]